DELETE
/projects/{projectName}/placements/{placementName}/devices/{deviceTemplateName}
http://projects.iot1click.{region}.amazonaws.com/projects/{projectName}/placements/{placementName}/devices/{deviceTemplateName}Removes a physical device from a placement.
Access Token Required: API Key
Path Parameters
projectNamestringrequired
The name of the project that contains the placement.
placementNamestringrequired
The name of the placement that the device should be removed from.
deviceTemplateNamestringrequired
The device ID that should be removed from the placement.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request DELETE \2 --url 'http://projects.iot1click.{region}.amazonaws.com/projects/{projectName}/placements/{placementName}/devices/{deviceTemplateName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}